/**
 * Javier Abelln, 24 Mayo 2006
 * Interface para las clases encargadas de hacer algo cuando se arrastre el
 * ratn.
 */
package chuidiang.paint;

/**
 * Interface para las clases encargadas de hacer algo cuando se arrastre el
 * ratn.

 * @author Chuidiang
 *
 */
public interface InterfaceArrastrarRaton
{
    /**
     * Se llama a este mtodo cuando se empieza a arrastrar el ratn.
     * @param x del ratn.
     * @param y del ratn.
     */
    public void comienzaArrastra(int x, int y);

    /**
     * Se llama a este mtodo cada vez que se arrastra el ratn.
     * @param xAntigua x del ratn antes del arrastre
     * @param yAntigua y del ratn antes del arrastre
     * @param xNueva x actual del ratn
     * @param yNueva y actual del ratn
     */
    public void arrastra(int xAntigua, int yAntigua, int xNueva, int yNueva);

    /**
     * Se llama a este mtodo cuando se termina de arrastrar el ratn.
     * @param x del ratn.
     * @param y del ratn.
     */
    public void finalizaArrastra(int x, int y);
}
